Lists the user's shared drives.
This method accepts the q parameter, which is a search query combining one or more search terms. For more information, see the Search for shared drives guide.
HTTP request
GET https://www.googleapis.com/drive/v3/drives
The URL uses gRPC Transcoding syntax.
Query parameters
| Parameters | |
|---|---|
pageSize |
The maximum number of shared drives to return. The service may return fewer than this value. If unspecified, at most 10 shared drives will be returned. The maximum value is 100; values above 100 will be coerced to 100. |
pageToken |
Page token for shared drives. |
q |
Query string for searching shared drives. |
useDomainAdminAccess |
Issue the request as a domain administrator; if set to true, then all shared drives of the domain in which the requester is an administrator are returned. |
Request body
The request body must be empty.
Response body
A list of shared drives.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"drives": [
{
object ( |
| Fields | |
|---|---|
drives[] |
The list of shared drives. If nextPageToken is populated, then this list may be incomplete and an additional page of results should be fetched. |
nextPageToken |
The page token for the next page of shared drives. This will be absent if the end of the list has been reached. If the token is rejected for any reason, it should be discarded, and pagination should be restarted from the first page of results. The page token is typically valid for several hours. However, if new items are added or removed, your expected results might differ. |
kind |
Identifies what kind of resource this is. Value: the fixed string |
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/drivehttps://www.googleapis.com/auth/drive.readonly
Some scopes are restricted and require a security assessment for your app to use them. For more information, see the Authorization guide.